import 'package:cargocalculaterapp/core/extension/build_context_extension.dart';
import 'package:flutter/material.dart';

import '../../../../../../core/utils/app_utils.dart';

class CalculatorInfoWidget extends StatelessWidget {
  const CalculatorInfoWidget({super.key, required this.title, required this.name});

  final String title;
  final String name;

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(bottom: 16),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          Expanded(child: Text(title, style: context.text.orderListTitle)),
          AppUtils.kBoxWidth8,
          Expanded(
            child: Text(
              name,
              style: context.text.profileCategory,
              textAlign: TextAlign.end,
            ),
          ),
        ],
      ),
    );
  }
}
